
Rosetta Stone Project - Tasks #1316
Add unit test for model-builder class
12/21/2012 04:33 PM - J. Moringen

Status: Resolved Start date: 12/21/2012
Priority: Normal Due date:
Assignee: J. Moringen % Done: 100%
Category: Core Frontend Estimated time: 0.00 hour
Target version: rosetta-0.2
Description

Associated revisions
Revision 9ab6dab8 - 04/25/2013 04:14 PM - J. Moringen

Support specifying node class in src/frontend/model-builder.lisp

refs #1316

    -  src/frontend/model-builder.lisp (define-make-node): allow specifying
  ignored keyword parameters; accept and process class keyword
  parameter
  (define-make-node :enum): added accepted but ignore parameter qname
  of type `name/absolute'
  (define-make-node :structure): likewise
  (define-make-node :package):  likewise

    -  test/frontend/model-builder.lisp
  (mock-structure-subclass): new class; mock structure class for
  builder test
  (test model-builder-root::smoke): explicitly specify node classes in
  some cases; query constructed repository/package to minimally verify
  correctness

History
#1 - 04/23/2013 06:11 PM - J. Moringen
- Status changed from New to Resolved
- % Done changed from 0 to 100
